Summary:        GhiaPet package repositories
Name:           ghiapet-repos
Version:        21
Release:        3%{?dist}
License:        MIT
Group:          System Environment/Base
URL:            http://www.ghiapet.net/
Vendor:         GhiaPet RPMs <http://www.ghiapet.net/>
Distribution:   GhiaPet RPMs for Fedora %{version}
# tarball is created by running make archive in the git checkout
Source:         %{name}-%{version}.tar.bz2
# Source0:        ghiapet.repo
# Source1:        ghiapet-testing.repo
# Source2:        RPM-GPG-KEY-ghiapet
# Source3:        RPM-GPG-KEY-ghiapet-21
# Source4:        archmap
Provides:       ghiapet-repos(%{version})
Requires:       system-release(%{version})
Obsoletes:      ghiapet-release-add < 21
BuildArch:      noarch

%description
GhiaPet package repository files for yum and dnf along with gpg public keys

%prep
%setup -q

%build

%install
# Install the keys
install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Link the primary/secondary keys to arch files, according to archmap.
# Ex: if there's a key named RPM-GPG-KEY-ghiapet-19-primary, and archmap
#     says "ghiapet-19-primary: i386 x86_64",
#     RPM-GPG-KEY-ghiapet-19-{i386,x86_64} will be symlinked to that key.
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for keyfile in RPM-GPG-KEY*; do
    key=${keyfile#RPM-GPG-KEY-} # e.g. 'ghiapet-20-primary'
    arches=$(sed -ne "s/^${key}://p" $RPM_BUILD_DIR/%{name}-%{version}/archmap) \
        || echo "WARNING: no archmap entry for $key"
    for arch in $arches; do
        # replace last part with $arch (ghiapet-20-primary -> ghiapet-20-$arch)
        ln -s $keyfile ${keyfile%%-*}-$arch # NOTE: RPM replaces %% with %
    done
done
# and add symlink for compat generic location
ln -s RPM-GPG-KEY-ghiapet-%{version} RPM-GPG-KEY-%{version}-ghiapet
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in ghiapet*.repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done


%files
%defattr(-,root,root,-)
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/ghiapet.repo
%config(noreplace) /etc/yum.repos.d/ghiapet-testing*.repo
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Mon Jan 12 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-3
- fix symlink to point to new key filename

* Fri Dec 19 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 21-2
- fix RPM GPG key filename

* Wed Dec 10 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 21-1
- adapt from fedora-repos for ghiapet-repos

* Sat Nov 22 2014 Dennis Gilmore <dennis@ausil.us> 21-2
- Obsolete fedora-repos-anaconda < 21-1
- due to initial confusion over it some people got it installed

* Tue Nov 18 2014 Dennis Gilmore <dennis@ausil.us> 21-1
- drop no longer needed fedora-repos-anaconda sup-package
- disable updates-testing
- turn on 7 day metadata expire for the fedora repo

* Mon Sep 15 2014 Dennis Gilmore <dennis@ausil.us> 21-0.7
- enable the product repos so anaconda will use them

* Wed Sep 10 2014 Dennis Gilmore <dennis@ausil.us> 21-0.6
- add repo files for the products

* Tue Jul 08 2014 Dennis Gilmore <dennis@ausil.us> 21-0.5
- setup for f21 being branched

* Tue Jul 08 2014 Dennis Gilmore <dennis@ausil.us> 21-0.4
- Require fedora-repos-rawhide from main package
- have fedora-repos-rawhide obsolete fedora-release-rawhide

* Tue Jul 08 2014 Dennis Gilmore <dennis@ausil.us> 21-0.3
- remove %%clean and rm in %%install
- Provides:       fedora-repos(%%{version})
- Requires:       system-release(%%{version})
- change url to git repo
- add note on how to make a tarball

* Tue Jul 08 2014 Dennis Gilmore <dennis@ausil.us> 21-0.2
- use %%{version} not %%{dist_version} in symlink command

* Tue Jul 08 2014 Dennis Gilmore <dennis@ausil.us> 21-0.1
- Initial setup for fedora-repos
